.project_slide{
    background: #F5F7FC;
    padding: clamp(1.5rem, 2vw , 2rem);
    border-radius: 20px;
}

.project_slide--name{
    font-weight: 600;
    font-size: clamp(16px, 2vw , 18px);
    line-height: clamp(26px, 2vw , 28px);
    color: #333338;
}

.project_slide--text{
    font-weight: 400;
    font-size: 14px;
    line-height: 22px;
    color: #555558;

    display: -webkit-box;
    -webkit-line-clamp: 5;
    -webkit-box-orient: vertical;
    overflow: hidden;
    text-overflow: ellipsis;
}

.project_slide-flex{
    display: flex;
    flex-direction: column;
    gap: clamp(2rem, 3vw, 2.5rem);
    justify-content: space-between;
    height: 100%;
}

.project_slide-flex--footer{
    display: flex;
    justify-content: space-between;
    align-items: end;
}

.projects_swiper-list .swiper-wrapper{
    align-items: stretch;
}

.projects_swiper-list .project_slide{
    height: auto;
}

.wrapper__edit_mode .project_slide{
    height: 330px;
}

.wrapper__edit_mode .projects_swiper-list{
    height: 400px;
}

.project_slide-flex--footer-img.border-radius img{
    border-radius: 50%;
}

a.project_slide:hover{
    background: #F0F2F8; 

    .project_slide--name{
        color: var(--brand-blue);
    }

    .project_slide-flex--footer-detail svg path{
        fill: var(--brand-blue);
        opacity: 1;
    }
}

.project__container .slider{
 overflow: hidden;
}

@media (max-width: 900px) {
    .projects_swiper-list .slider__controls {
        display: none;
    }
}

@media (max-width: 720px) {
    .project__container .slider{
        overflow: visible;
    }
}